module Data.SpaCy
  ( Annotation(..) ) where

import Data.BIO (BIO)
import Data.Csv (FromRecord(..), ToRecord(..))
import GHC.Generics (Generic)

data Annotation = Annotation
  { tokenNumber :: Int
  , form :: String
  , lemma :: String
  , pos :: String
  , namedEntity :: BIO String } deriving (Generic, Show)

instance FromRecord Annotation
instance ToRecord Annotation
